#!/bin/sh
# check if we have multiple processors/cores
n=$(nproc 2>/dev/null)
if [ -z "$n" ]; then
	n=$(grep ^processor /proc/cpuinfo 2>/dev/null | wc -l)
	[ $n -eq 0 ] && n=1
fi
echo preparing, parallel=$n...
if test -f Makefile; then
	make maintainer-clean > /dev/null 2>&1
fi
aclocal -I . > /dev/null 2>&1
autoconf
autoheader
echo configuring...
./configure $@ > /dev/null
echo compiling...
make clean2 > /dev/null 2>&1
make -j $n > /dev/null
